import ss from './search.module.scss';
import React, {useState, useEffect} from 'react';
import {formatNumber, getUpdataDate} from '../utils/utils';
import {useRouter} from 'next/router';

const BnSearch = (props) => {
  const router = useRouter();
  const input = React.createRef();
  const handleSearch = () => {
    let k = input.current.value;
    if (!k) return false;
    if (window.location.href.includes('/search')) {
      window.location.href = '/search?k=' + k;
    } else {
      router.push({
        pathname: '/search',
        query: {k},
      });
    }
  };

  const handleChange = (e) => {
    let v = e.target.value;
    if (v === '0' || v === '1') {
      v = '';
    }
    e.target.value = v.replace(/[^\d]/g, '');
  };

  const handleKeyUp = (e) => {
    if (e.keyCode === 13) {
      handleSearch();
    }
  };

  return (
    <div className={ss.search}>
      <div className={ss.inner + ' container'}>
        <h1>
          Over{' '}
          <span style={{color: '#53F4FC'}}>
            {formatNumber(props?.data?.blockedCallsCollectedNumber)}
          </span>{' '}
          Numbers In Our Database
        </h1>

        <p>Last Updated: {getUpdataDate()}</p>

        <div className={ss.search}>
          <img className={ss.us} src="/img/us.png" alt="us" />
          <span>+1</span>
          <input
            ref={input}
            maxLength="10"
            type="text"
            placeholder="Enter number to get info"
            onChange={(e) => {
              handleChange(e);
            }}
            onKeyUp={handleKeyUp}
          />
          <img
            className={ss.sc}
            src="/img/sc.png"
            alt="search"
            onClick={() => {
              handleSearch();
            }}
          />
        </div>
      </div>
    </div>
  );
};
export default BnSearch;
