import Link from "next/link";
import ss from "./MyFooter.module.scss";

const MyFooter = (props) => {
  const domain = process.env.NEXT_PUBLIC_DOMAIN;

  return (
    <>
      <footer className={ss.footer}>
        <div className={ss.inner + " container"}>
          <div className={ss.item}>
            <p>
              Copyright RealCall {new Date().getFullYear()}. All rights
              reserved.
            </p>
          </div>

          <div className={ss.item}>
            <Link href={domain+"/privacy"}>
              <a target="_blank">Privacy Policy</a>
            </Link>
            <span>|</span>
            <Link href={domain+"/terms"}>
              <a target="_blank">Terms of Service</a>
            </Link>
            <span>|</span>
            <Link href={domain+"/about"}>
              <a>Contact us</a>
            </Link>
          </div>
        </div>
      </footer>
      <div className={ss.bottom}>
        <button
          className="btn"
          onClick={() => {
            window.start();
          }}
        >
          Get RealCall
        </button>
      </div>
    </>
  );
};

export default MyFooter;
