import Link from "next/link";
import ss from "./MyHeader.module.scss";
import React, { useState, useEffect, memo } from "react";
import { useScroll } from "ahooks";
import { useRouter } from "next/router";

const MyHeader = (props) => {
  const router = useRouter();
  const pathname = router.pathname;
  const scroll = useScroll();
  const [cHeight, setCHeight] = useState(0);
  const [isOpenMsk, setIsOpenMsk] = useState(false);
  const domain = process.env.NEXT_PUBLIC_DOMAIN;
  // console.log(domain);
  const menus = [
    {
      title: "Compare",
      url: domain + "/compare",
    },
    {
      title: "Lookup",
      url: "/",
    },
    {
      title: "Blog",
      url: "https://blog.realcall.ai/",
    },
    {
      title: "Support",
      url: domain + "/support",
    },
    {
      title: "About Us",
      url: domain + "/about",
    },
  ];
  const handleMsk = (e) => {
    setIsOpenMsk(e);
  };
  const start = () => {
    window.gtag("event", "start_click", {
      event_category: "click",
      event_label: "",
      value: "",
    });

    location.href = domain+"/#funcs";
  };
  useEffect(() => {
    const pathname = location.pathname;
    const screenHeight = window.screen.height;
    window.start = start;
    setCHeight(screenHeight);

    window.isMobile = !!window.navigator.userAgent.match(
      /AppleWebKit.*Mobile.*/
    );
    window.gtag("event", "page_view", {
      event_category: "pageView",
      event_label: pathname === "/" ? "home" : pathname,
      value: "",
    });
  }, []);

  return (
    <>
      {/* pc */}
      <div
        className={
          scroll?.top > cHeight ? ss.headerPc + " " + ss.active : ss.headerPc
        }
      >
        <div className={ss.inner + " container"}>
          <div className={ss.logo}>
            <Link href={domain}>
              <a>
                <img src="/img/nav_logo.png" alt="logo" />
              </a>
            </Link>
          </div>
          <div className={ss.menuList}>
            {menus.map((item, index) => (
              <Link href={item.url} key={index}>
                <a
                  target={item.title === "Blog" ? "_blank" : "_self"}
                  className={pathname === item.url ? ss.mactive : ""}
                >
                  {item.title}
                </a>
              </Link>
            ))}
            <button className={ss.btn + " btn"} onClick={start}>
              Start
            </button>
          </div>
        </div>
      </div>

      {/* mobile */}
      <div
        className={
          scroll?.top > 0 ? ss.headerMobile + " " + ss.active : ss.headerMobile
        }
      >
        <div className={ss.nav + " flexSb"}>
          <Link href="/">
            <a>
              <img src="/img/nav_logo.png" alt="logo" />
            </a>
          </Link>

          <img
            src="/img/nav_menu@2x.png"
            alt="menu"
            onClick={() => {
              handleMsk(true);
            }}
          />
        </div>

        <div className={isOpenMsk ? ss.msk + " " + ss.active : ss.msk}>
          <div className={ss.nav + " flexSb"}>
            <Link href="/">
              <a>
                <img src="/img/nav_logo.png" alt="logo" />
              </a>
            </Link>
            <img
              src="/img/nav_close@2x.png"
              alt="close"
              onClick={() => {
                handleMsk(false);
              }}
            />
          </div>

          <div className={ss.menuList + " flexCol"}>
            {menus.map((item, index) => (
              <Link href={item.url} key={index}>
                <a>{item.title}</a>
              </Link>
            ))}
          </div>
        </div>
      </div>
    </>
  );
};

export default memo(MyHeader);
