import ss from './report.module.scss';
import React, {useState, useEffect} from 'react';
import {message} from 'antd';
import {getFetchZu, modifyxReportyNumber} from '../pages/api';
import {formatPhoneNumberForPageNoNation} from '../utils/utils';
const Report = (props) => {
  const [groupId, setGroupId] = useState(null);
  const [lable, setLable] = useState(null);
  const [category, setCategory] = useState([]);
  const close = () => {
    props.closeReport();
  };
  const handleSubmit = () => {
    const params = {
      groupId,
      lable,
      phoneNumber: props.k,
    };
    if (!groupId) {
      return message.warn('Category is required!');
    }
    modifyxReportyNumber(params).then((res) => {
      if (res.Result === 1) {
        message.success('Submit successfully');
        close();
      } else {
        message.success('Something get wrong, please try again later');
      }
    });
  };
  const handleSelect = (e) => {
    setGroupId(e.target.value);
  };
  const handleInput = (e) => {
    setLable(e.target.value);
  };

  useEffect(() => {
    getFetchZu().then((res) => {
      if (res.Result === 1) {
        setCategory([...res.data.groups]);
      }
    });

    return () => {};
  }, []);

  return (
    <div className={ss.report}>
      <div className={ss.inner}>
        <h2>{formatPhoneNumberForPageNoNation(props.k.slice(1))}</h2>
        <img
          className={ss.close}
          src="/img/nav_close@2x.png"
          alt=""
          onClick={close}
        />

        <div className={ss.form}>
          <div className={ss.line}>
            <p>Category</p>
            <div className={ss.box}>
              {category.map((item, index) => (
                <label key={index}>
                  <input
                    name="category"
                    type="radio"
                    value={item.id}
                    onChange={handleSelect}
                  />
                  {item.name}
                </label>
              ))}
            </div>
          </div>

          <div className={ss.line}>
            <p>Label</p>
            <input
              maxlength="30"
              type="text"
              placeholder="More labels"
              onChange={handleInput}
            />
          </div>

          <div className={ss.line}>
            <button onClick={handleSubmit}>Submit</button>
          </div>
        </div>
      </div>
    </div>
  );
};
export default Report;
