import React, { useState, useEffect } from "react";
import ss from "../pages/details.module.scss";
import Layout from "../components/layout";
import BnSearch from "./BnSearch";
import Report from "../components/Report";
import {
  // formatPhoneNumberForRoute,
  // formatPhoneNumberForTitle,
  // formatPhoneNumberForPage,
  formatPhoneNumberForPageNoNation,
} from "../utils/utils";

const DetailTemp = (props) => {
  const { nres, dres, k } = props;
  const [reportShow, setReportShow] = useState(false);
  const closeReport = () => {
    setReportShow(false);
  };
  useEffect(() => {
    return () => {};
  }, []);

  return (
    <Layout>
      <div className={ss.details}>
        <BnSearch {...nres}></BnSearch>

        <div className={ss.main}>
          <div className={ss.inner + " container"}>
            <div className={ss.title}>
              <h1>{formatPhoneNumberForPageNoNation(k.slice(1))}</h1>
              {dres.Result === 1 && (
                <p>
                  Labeld by {dres.data.persons ? dres.data.persons : 10} as{" "}
                  {dres.data.group ? dres.data.group : "Suspicious"} call
                </p>
              )}
            </div>
            {dres.Result === 1 && (
              <>
                <div className={ss.list}>
                  <div className={ss.item}>
                    <h3>
                      <span>{dres.data.carrierName || "-"}</span>
                    </h3>
                    <p>Carrier</p>
                  </div>
                  <div className={ss.item}>
                    <h3>
                      <span>{dres.data.locationState || "-"}</span>
                    </h3>
                    <p>Location</p>
                  </div>
                  <div className={ss.item}>
                    <h3>
                      <span>{dres.data.phoneType || "-"}</span>
                    </h3>
                    <p>Line Type</p>
                  </div>
                  <div className={ss.item}>
                    <h3>
                      <span>{dres.data.displayName || "-"}</span>
                    </h3>
                    <p>Owner's Name</p>
                  </div>
                  <div className={ss.item}>
                    <h3>
                      <span>{dres.data.address || "-"}</span>
                    </h3>
                    <p>Owner's Address</p>
                  </div>
                  <div className={ss.item}>
                    <h3 style={{ color: "#FF5600" }}>
                      <span>{dres.data.riskLevel || "-"}</span>
                    </h3>
                    <p>Risk Level</p>
                  </div>
                </div>

                <div className={ss.report}>
                  <button
                    onClick={() => {
                      setReportShow(!reportShow);
                    }}
                  >
                    Report
                  </button>
                </div>
              </>
            )}

            {dres.Result !== 1 && (
              <div className={ss.null}>
                <img src="/img/blank_lookup@2x.png" alt="" />
                <p>Unknown Number</p>
              </div>
            )}
          </div>
        </div>

        {reportShow && (
          <Report
            closeReport={closeReport}
            k={formatPhoneNumberForPageNoNation(k)}
          ></Report>
        )}
      </div>
    </Layout>
  );
};

export default DetailTemp;
