import Document, { Html, Head, Main, NextScript } from "next/document";

class MyDocument extends Document {
  static async getInitialProps(ctx) {
    const initialProps = await Document.getInitialProps(ctx);
    return { ...initialProps };
  }
  render() {
    return (
      <Html lang="en-US">
        <Head>
          <meta name="renderer" content="webkit" />
          <link
            rel="apple-touch-icon"
            sizes="180x180"
            href="./img/apple-touch-icon.png"
          />
          <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />

          {/* Global site tag (gtag.js) - Google Analytics */}
          <script
            async
            src="https://www.googletagmanager.com/gtag/js?id=G-LWDM04Z053"
          ></script>
          <script
            dangerouslySetInnerHTML={{
              __html: `
                window.dataLayer = window.dataLayer || [];
                function gtag(){dataLayer.push(arguments);}
                gtag('js', new Date());
              
                gtag('config', 'G-LWDM04Z053');
                gtag("event", "page_view_start");
                window.gtag = gtag;
              `,
            }}
          ></script>
        </Head>

        <body>
          <Main />
          <NextScript />
        </body>
      </Html>
    );
  }
}

export default MyDocument;
<script></script>;
