import axios from "axios";

// Set config defaults when creating the instance
const instance = axios.create({
  baseURL: process.env.NEXT_PUBLIC_API,
});

instance.defaults.timeout = 20000;

// 添加请求拦截器
instance.interceptors.request.use(
  function (config) {
    // 在发送请求之前做些什么
    return config;
  },
  function (error) {
    // 对请求错误做些什么
    return Promise.reject(error);
  }
);

// 添加响应拦截器
instance.interceptors.response.use(
  function (response) {
    // 对响应数据做点什么
    const { data, status } = response;
    return data;
  },
  function (error) {
    // 对响应错误做点什么
    return Promise.reject(error);
  }
);

export const get = (url, params) => {
  // console.log(process.env.NEXT_PUBLIC_API+url)
  return instance.get(url, { params });
};

export const post = (url, data) => {
  return instance.post(url, data);
};
