import Head from "next/head";
import ss from "./index.module.scss";
import React, { useState, useEffect } from "react";
import Layout from "../components/layout";
import Link from "next/link";
import BnSearch from "../components/BnSearch";
import { getNumber, getPhoneNumbers } from "./api/index";
import { formatPhoneNumberForPage } from "../utils/utils";

const NUmberList = (pps) => {
  const { list, currentPages } = pps;

  useEffect(() => {
    window.gtag("event", "page_index", {
      event_category: "page_view",
    });

    return () => {};
  }, []);

  return (
    <div className={ss.box}>
      <div className={ss.binner}>
        {list.map((item, index) => {
          if (item instanceof Array) {
            return (
              <div
                className={ss.pages}
                key={index}
                style={{ display: currentPages >= index ? "flex" : "none" }}
              >
                {item.map((itm, idx) => {
                  return (
                    <Link href={"/n/" + itm.slice(1)} key={idx}>
                      <a>{formatPhoneNumberForPage(itm)}</a>
                    </Link>
                  );
                })}
              </div>
            );
          } else {
            return (
              <Link href={"/n/" + item.slice(1)} key={index}>
                <a>{formatPhoneNumberForPage(item)}</a>
              </Link>
            );
          }
        })}
      </div>
    </div>
  );
};

const Home = (props) => {
  const [currentPages, setCurrentPages] = useState(0);
  const activeList = props.resPhone?.data?.activeList || [];
  const newList = props.resPhone?.data?.newList || [];
  const newListArr = [];
  
  for (let i = 0; i < newList.length / 50; i++) {
    newListArr.push(newList.slice(i * 50, i * 50 + 50));
  }

  const allpages = newListArr.length;

  const loadMore = () => {
    setCurrentPages(currentPages + 1);
  };

  useEffect(() => {}, []);

  return (
    <>
      <Head>
        <title>Reverse Phone Number Lookup | Find Whose Number is This</title>
        <meta
          name="description"
          content="Have a call from unknown number? Enter in a phone number and lookup who it is registered to. 100% seriously free reverse phone lookup. "
        />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <Layout>
        <div className={ss.lockup}>
          <BnSearch {...props.resNumber}></BnSearch>

          <div className={ss.part2}>
            <div className={ss.inner + " " + ss.activeList + " container"}>
              <h2>Most Active Robocallers (Past 24 hours)</h2>
              <NUmberList list={activeList}></NUmberList>
            </div>
          </div>

          <div className={ss.part2 + " " + ss.part3}>
            <div className={ss.inner + " " + ss.newList + " container"}>
              <h2>New Robocaller Recordings</h2>
              <NUmberList
                list={newListArr}
                currentPages={currentPages}
              ></NUmberList>
              {allpages > currentPages + 1 && (
                <div className={ss.more}>
                  <span
                    id="more"
                    onClick={() => {
                      loadMore();
                    }}
                  >
                    MORE
                  </span>
                </div>
              )}
            </div>
          </div>
        </div>
      </Layout>
    </>
  );
};

export async function getServerSideProps(context) {
  const resNumber = await getNumber();
  const resPhone = await getPhoneNumbers();
  // console.log(resPhone);
  if (resPhone.Result === 1) {
    return {
      props: {
        resNumber,
        resPhone,
      },
    };
  } else {
    return {
      props: {
        resNumber: null,
        resPhone: null,
      },
    };
  }
}

export default Home;
