import { useEffect } from "react";
import Head from "next/head";
import { getNumber, getPhoneDetail } from "../api/index";
import DetailTemp from "../../components/detail";
import {
  formatPhoneNumberForRoute,
  formatPhoneNumberForTitle,
  // formatPhoneNumberForPageNoNation,
  formatPhoneNumberForPage,
} from "../../utils/utils";

const Detail = (props) => {
  useEffect(() => {
    window.gtag("event", "page_details", {
      event_category: "page_view",
    });

    return () => {};
  }, []);
  return (
    <>
      <Head>
        <title>
        {formatPhoneNumberForRoute(props.k)} | {formatPhoneNumberForTitle(props.k)} | RealCall Number Lookup
        </title>
        <meta
          name="description"
          content={`Free Phone Number Lookup for ${formatPhoneNumberForPage(
            props.k
          )}. ${formatPhoneNumberForPage(
            props.k
          )} is labeld by ${props.dres.data.persons?props.dres.data.persons:10} as ${props.dres.data.group?props.dres.data.group:'suspicious'} call. Find who called you from this number. Get the caller's name, address and risk level.`}
        />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <DetailTemp {...props}></DetailTemp>
    </>
  );
};

export async function getServerSideProps(context) {
  let k = "1" + context.query.id.replace(/-/g, "");
  let nres = await getNumber();
  let dres = await getPhoneDetail({ phoneNumber: k });
  // console.log(dres);

  // 查不到数据的情况下 301到404页面 需要和后台确认查不到数据的返回值
  if (dres.Result === 0) {
    return {
      notFound: true,
    };
  } else {
    return {
      props: { nres, dres, k },
    };
  }
}

export default Detail;
