import React, { useState, useEffect } from "react";
import Head from "next/head";
import { getNumber, getPhoneDetail } from "./api/index";
import Detail from "../components/detail";
import {
  formatPhoneNumberForPage
} from '../utils/utils';

const Search = (props) => {
  useEffect(() => {
    window.gtag('event', 'page_search', {
      event_category: 'page_view',
    });

    return () => {};
  }, []);

  return (
    <>
      <Head>
        <title>{formatPhoneNumberForPage(props.k)} | RealCall Number Lookup</title>
        {/* <meta
          name="description"
          content="Have a call from unknown number? Enter in a phone number and lookup who it is registered to. 100% seriously free reverse phone lookup. "
        /> */}
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <Detail {...props}></Detail>
    </>
  );
};

export async function getServerSideProps(context) {
  let k = '1'+context.query.k;
  let nres = await getNumber();
  let dres = await getPhoneDetail({phoneNumber: k});
  return {
    props: { nres, dres, k },
  };
}

export default Search;
