// 数字中，每三位数加“,”
export const formatNumber = (num) => {
  if (!num) return null;
  num = String(num);
  let len = num.length;
  if (len < 4) {
    return num;
  }

  let arr = [];
  let ys = len % 3;
  let zs = (len - (len % 3)) / 3;

  if (ys) {
    arr.push(num.slice(0, ys));
  }

  for (let i = 0; i < zs; i++) {
    arr.push(num.slice(i * 3 + ys, i * 3 + ys + 3));
  }
  return arr.join(",");
};

// 格式化时间：当前时间-3h：March 23, 2022 6:47AM UTC
export const getUpdataDate = () => {
  const arr = [
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December",
  ];
  const sjc = new Date(new Date().getTime() - 3600000 * 3);
  const year = sjc.getFullYear();
  const month = sjc.getMonth();
  const day = sjc.getDate();
  const hours = sjc.getHours();
  const minutes = sjc.getMinutes();
  const tm =
    arr[month] +
    " " +
    day +
    "," +
    year +
    " " +
    hours +
    ":" +
    minutes +
    (hours > 12 ? "PM" : "AM") +
    " " +
    "UTC";
  return tm;
};

// 路由格式
export const formatPhoneNumberForRoute = (num) => {
  if (!num || num.length !== 11) return num;
  let o = num.slice(1, 4);
  let p = num.slice(4, 7);
  let q = num.slice(7, 11);

  return o + "-" + p + "-" + q;
};

// 标题格式
export const formatPhoneNumberForTitle = (num) => {
  if (!num || num.length !== 11) return num;
  let o = num.slice(1, 11);

  return o;
};

// 页面格式
export const formatPhoneNumberForPage = (num) => {
  if (!num || num.length !== 11) return num;
  let o = num.slice(1, 4);
  let p = num.slice(4, 7);
  let q = num.slice(7, 11);

  return "(" + o + ") " + p + "-" + q;
};

export const formatPhoneNumberForPageNoNation = (num) => {
  if (!num || num.length !== 10) return num;
  let o = num.slice(0, 3);
  let p = num.slice(3, 6);
  let q = num.slice(6, 10);

  return "(" + o + ") " + p + "-" + q;
};